I'm trying to connect to wdb agent up in vxworks through workbench
2.4. I get this following error often. I checked the license,
everything is fine. Note that in the workbench target server, I didn't
mention any processor type and left it to "default from target".

Why does this error occur and how to solve this?


Thanks,
Suresh


Error 2007-10-04 11:43:37.903 Error connecting to
'tgt_10.7.1.40' (Registry localhost): failed to connect target
Possibly caused by: The target OS version ''VxWorks 6.2'' is not
supported for ''5Kc''.
com.windriver.ide.target.exceptions.TargetServiceE xception: Error
connecting to 'tgt_10.7.1.40' (Registry localhost): failed to connect
target
Possibly caused by: The target OS version ''VxWorks 6.2'' is not
supported for ''5Kc''.
at
com.windriver.ide.target.dfw.DFWTargetConnectorJob .internalCheckError(DFWTargetConnectorJob.java:
1471)
at
com.windriver.ide.target.dfw.DFWTargetConnectorJob .checkError(DFWTargetConnectorJob.java:
1390)
at
com.windriver.ide.target.dfw.DFWTargetConnectorJob .onDoneConnectAll(DFWTargetConnectorJob.java:
1081)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Nativ e Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(Native MethodAccessorImpl.java:
39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(De legatingMethodAccessorImpl.java:
25)
at java.lang.reflect.Method.invoke(Method.java:324)
at com.windriver.rb.base.Sequent.callHandler(Sequent. java:807)
at com.windriver.rb.base.Sequent.dispatch(Sequent.jav a:955)
at com.windriver.rb.base.Sequent.run(Sequent.java:103 8)
at com.windriver.rb.eclipse.plugin.RBPlugin
$EventQueue.dispatch(RBPlugin.java:92)
at com.windriver.rb.eclipse.plugin.RBPlugin$EventQueu e.access
$000(RBPlugin.java:23)
at com.windriver.rb.eclipse.plugin.RBPlugin$1.run(RBP lugin.java:35)
at org.eclipse.swt.widgets.RunnableLock.run(RunnableL ock.java:35)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessa ges(Synchronizer.java:
123)
at org.eclipse.swt.widgets.Display.runAsyncMessages(D isplay.java:
2844)
at org.eclipse.swt.widgets.Display.readAndDispatch(Di splay.java:2575)
at org.eclipse.ui.internal.Workbench.runEventLoop(Wor kbench.java:
1699)
at org.eclipse.ui.internal.Workbench.runUI(Workbench. java:1663)
at
org.eclipse.ui.internal.Workbench.createAndRunWork bench(Workbench.java:
367)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench(Pl atformUI.java:
143)
at
com.windriver.ide.application.CopyOfIDEApplication .run(CopyOfIDEApplication.java:
103)
at com.windriver.ide.application.UnifiedSWTSwingAppli cation.access
$101(UnifiedSWTSwingApplication.java:24)
at
com.windriver.ide.application.UnifiedSWTSwingAppli cation.run(UnifiedSWTSwingApplication.java:
33)
at org.eclipse.core.internal.runtime.PlatformActivato r
$1.run(PlatformActivator.java:226)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.ru n(EclipseStarter.java:
376)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.ru n(EclipseStarter.java:
163)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Nativ e Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(Native MethodAccessorImpl.java:
39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(De legatingMethodAccessorImpl.java:
25)
at java.lang.reflect.Method.invoke(Method.java:324)
at org.eclipse.core.launcher.Main.invokeFramework(Mai n.java:334)
at org.eclipse.core.launcher.Main.basicRun(Main.java: 278)
at org.eclipse.core.launcher.Main.run(Main.java:973)
at org.eclipse.core.launcher.Main.main(Main.java:948)
Caused by: com.windriver.rb.gdbmi.InputParser$ResultError: The target
OS version ''VxWorks 6.2'' is not supported for ''5Kc''
at
com.windriver.rb.gdbmi.InputParser.readResultRecor d(InputParser.java:
231)
at com.windriver.rb.gdbmi.InputParser.parse(InputPars er.java:210)
at com.windriver.rb.gdbmi.GDBMIControl$2.run(GDBMICon trol.java:251)
... 25 more